at_scope_exit.hpp File Reference

A simple implementation of at_scope_exit concept. More...

`#include <utility>`

Go to the source code of this file.

## Classes

class | restinio::utils::scope_exit_details::at_exit_t< L >
| Helper class for scope exit implementation. More...

## Namespaces

namespace | restinio
namespace | restinio::utils
namespace | restinio::utils::scope_exit_details

## Functions

template<typename L >
scope_exit_details::at_exit_t< L > | restinio::utils::at_scope_exit (L &&l)
| Helper function for creation action to be performed at scope exit. More...

## Detailed Description

A simple implementation of at_scope_exit concept.

Note
  This code is borrowed from SObjectizer project: https://github.com/stiffstream/sobjectizer

Since
  v.0.6.4

Definition in file at_scope_exit.hpp.